Display original location in Commons
Closed, ResolvedPublic

Description

Motivation
Sometimes, a file move might need to be undone. We should provide a mechanism to easily spot those files.

Task
In the (so far) null edit that moved the file to Commons, add the following line as a system message to the top of the file page's wikitext
This file was moved here with the FileExporter from <URL>

Lea_WMDE created this task.Mar 10 2017, 5:36 PM
Lea_WMDE renamed this task from Add "moved from <source wiki>" template to file page on Commons to Add a hidden category "moved-to-commons" to moved files.Mar 15 2017, 1:02 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE changed the task status from Open to Stalled.

before working on that we need to figure out how to transmit the info what the source url and title was

Lea_WMDE renamed this task from Add a hidden category "moved-to-commons" to moved files to Add a tracking category to moved files.Mar 15 2017, 1:03 PM
Lea_WMDE updated the task description. (Show Details)
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Jul 25 2017, 3:43 PM
Tobi_WMDE_SW moved this task from Todo to Proposed on the WMDE-QWERTY-Team board.Jul 25 2017, 3:47 PM
Lea_WMDE changed the task status from Stalled to Open.Jul 31 2017, 9:37 AM

Even I don't understand anymore why I stalled this in the first place

Lea_WMDE updated the task description. (Show Details)Jul 31 2017, 9:39 AM
Lea_WMDE renamed this task from Add a tracking category to moved files to Display original location in source wiki .Aug 17 2017, 3:53 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from Display original location in source wiki to Display original location in Commons.Aug 18 2017, 11:25 AM
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Aug 22 2017, 12:33 PM
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-09-05 board.

Change 376778 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Add an import notice to the top of an imported page's wikitext

https://gerrit.wikimedia.org/r/376778

So after a quick talk with @Lea_WMDE : The plan here is to have a default message hardcoded (without i18n) but with the option to be customized via a config var ($wgFileImporter....)

Change 376778 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add an import notice to the top of an imported page's wikitext

https://gerrit.wikimedia.org/r/376778

Tobi_WMDE_SW closed this task as Resolved.Nov 1 2017, 7:38 AM
Tobi_WMDE_SW moved this task from Review to Done on the WMDE-QWERTY-Sprint-2017-10-17 board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Nov 1 2017, 9:59 AM